ALTER GROUP(7)

NAME
ALTER GROUP - add users to a group or remove users from a group

SYNOPSIS

ALTER GROUP name ADD USER username [, ... ]
ALTER GROUP name DROP USER username [, ... ]

  INPUTS

name
    The name of the group to modify.

username
    Users which are to be added or removed from the group. The user names must exist.

  OUTPUTS

ALTER GROUP
    Message returned if the alteration was successful.

DESCRIPTION

ALTER GROUP is used to add or remove users from a group. Only database superusers can use this command. Adding a user to a group does not create the user. Similarly, removing a user from a group does not drop the user itself.

Use CREATE GROUP [create_group(7)] to create a new group and DROP GROUP [drop_group(7)] to remove a group.

USAGE

Add users to a group:

ALTER GROUP staff ADD USER karl, john;

Remove a user from a group:

ALTER GROUP workers DROP USER beth;

COMPATIBILITY

  SQL92

There is no ALTER GROUP statement in SQL92. The concept of roles is similar.